JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SpeakerMappings::Mapping Struct Reference
juce_audio_processors » format_types

Structure describing a mapping. More...

`#include <juce_VSTCommon.h>`

## Public Member Functions
bool | matches (const Array< ChannelType > &chans) const noexcept

## Public Attributes
int32 | vst2
ChannelType | channels [13]

## Detailed Description

Structure describing a mapping.

## Member Function Documentation

## ◆ matches()

bool SpeakerMappings::Mapping::matches | ( | const Array< ChannelType > & | chans | ) | const
| noexcept

References channels, and AudioChannelSet::unknown.

## Member Data Documentation

## ◆ vst2

int32 SpeakerMappings::Mapping::vst2

Referenced by SpeakerMappings::channelSetToVstArrangementType(), and SpeakerMappings::vstArrangementTypeToChannelSet().

## ◆ channels

ChannelType SpeakerMappings::Mapping::channels[13]

Referenced by matches().

The documentation for this struct was generated from the following file:

- juce_VSTCommon.h